You need to enable JavaScript to run this app.
Lake AI Service

Lake AI Service

Copy page
Download PDF
Video processing
Face blur
Copy page
Download PDF
Face blur

The face blur operator is an automated face blurring tool for video content. The operator can automatically detect faces in videos and apply blur based on the user-specified blur level to protect user privacy.

Operator introduction

Operator ID: las_face_blur

Application scenarios

Scenarios

Description

Privacy protection

Automatically blur faces on social media and video sharing platforms to protect user privacy

Content review

Apply face blur processing to user-uploaded videos to meet compliance requirements

Video production

Protect interviewee privacy in news, documentaries, and similar productions

Face blur preprocessing in training/evaluation datasets

When training or evaluating models, apply face blur processing to video frames in datasets to improve model generalization

Core capabilities

  • Automatically detect faces in video frames and apply blur
  • Supports multiple blur types (mosaic, Gaussian)
  • Supports fine-grained blurring for various regions (such as elliptical face blur, face-fitted blur, eye region blur, and more)
  • Unified output path for blurred videos (re-encoded output even if no faces are detected)

Effect demonstration

  • Input video
  • Face oval blur
  • Face mosaic blur
  • Close-fitting face blur
  • Eye blur

Supported regions

  • Beijing: cn-beijing
  • Shanghai: cn-shanghai
  • Guangzhou: cn-guangzhou

Operator performance

Sub-items
Performance impact description

Maximum RPM

600

Maximum concurrency

10

Processing time

  • Directly proportional to video duration.

Input and output requirements

Input requirements

Subdivision
Detailed description

Supported input data modalities

  • Video

Input format: video

  • Formats: mp4, mov, avi, mkv, flv, webm, and other common formats
  • Size: up to 10 GB.

Input path requirements

Provide operator input data via the request parameter video_url. Currently supports public URL and TOS path.

  • Public URL: A video URL accessible via the public internet, format is http/https.
  • TOS path: After uploading the data to be processed to a TOS Bucket under the same primary account and region as the current LAS service, you can provide the TOS path, format is tos://bucket_name/demo.

Output requirements

Subdivision
Detailed description

Output data modalities

  • Video

Output format: video

  • Format, resolution, and duration are consistent with the original video

Output path: TOS

Specify the storage path for the operator output results via the request parameter output_tos_path. Currently supports setting to TOS path.

  • TOS path: A writable TOS Bucket directory under the same primary account and region as the LAS service.

Billing instructions
  • Billing standards

    Sub-items
    Billing standards description

    Billing item

    Usage is calculated based on the duration of the output video.

    Billing type

    Usage-based billing, unit: CNY/minute, billed every hour based on actual usage.

    Unit price

    0.1 CNY/minute

  • Billing details
    Billing formula: Total cost = unit price * usage

Notes and prerequisites

Details

Caution and prerequisites

Costs

Before calling an operator, you need to understand the model invocation costs associated with using the operator. For details, see Large model invocation billing.

Authentication (API Key)

Before calling an operator, you need to generate an API Key for operator invocation. It is recommended to configure the API Key as an environment variable to ensure safer operator calls. For details, see Obtain and configure API Key.

BaseURL

Before calling an operator, you need to determine the BaseURL for operator invocation based on the region where your current LAS service is deployed. This is used to configure the path parameter values for operator calls.
For details, see Obtain the Base URL. The Examples below are for reference only; when making actual calls, replace the path values with those corresponding to your region.

Rest API call

Submit

API description

Submit the las_face_blur operator to perform a face blur task.

Request parameters

Parameter
Type
Required
Example value
Description
operator_id
string
Yes
las_face_blur
The operator's id is las_face_blur
operator_version
string
Yes
v1
Currently only v1 is supported.
data
FaceBlurReqParams
Yes
Operator parameters

Response parameters

Parameter
Type
Example value
Description
metadata
metadata
Request metadata

Example

Request example

# Please set OUTPUT_PATH_TEMPLATE to a tos path writable by this account
export OUTPUT_PATH_TEMPLATE="tos://xxxx/output/"
# Initiate operator service request
curl --location "https://operator.las.ap-southeast-1.volces.com/api/v1/submit" \
--header "Content-Type: application/json" \
--header "Authorization: Bearer $LAS_API_KEY" \
--data '{
    "operator_id": "las_face_blur",
    "operator_version": "v1",
    "data": {
        "url": "tos://xxxx/sample.mp4",
        "output_tos_path": "$OUTPUT_PATH_TEMPLATE"
    }
}'

Response example

{
  "metadata": {
    "task_id": "task-20251125163544-abc123",
    "task_status": "PENDING",
    "business_code": "0",
    "error_msg": ""
  }
}

Error code

HttpStatusCode

Error code

Error message

Description

400

Parameter.Invalid

The parameter is invalid.

Invalid parameter

401

Authorization.Missing

Missing Authorization.

Missing authentication

401

ApiKey.InValid

The api key is invalid.

Invalid API

Poll

API description

Query the execution status and result of the face blur task.

Request parameters

Name

Type

Required

Example value

Description

operator_id

string

Yes

las_face_blur

Operator ID

operator_version

string

Yes

v1

Operator version

task_id

string

Yes

task-xxx

Task ID

Response parameters

Parameter
Type
Example value
Description
metadata
metadata
Request metadata.
data
FaceBlurResponse
Returned data.

Example

Request example

curl --location "https://operator.las.ap-southeast-1.volces.com/api/v1/poll" \
--header "Content-Type: application/json" \
--header "Authorization: Bearer $LAS_API_KEY" \
--data '{
    "operator_id": "las_face_blur",
    "operator_version": "v1",
    "task_id": "task-20251125163544-abc123"
}'

Response example

{
    "metadata": {
        "task_id": "06ecbd66031e7006022d",
        "task_status": "COMPLETED",
        "submit_time": "2026-07-21T16:04:06+08:00",
        "end_time": "2026-07-21T16:04:06+08:00",
        "business_code": "0",
        "error_msg": "Task processed successfully"
    },
    "data": {
        "output_tos_uri": "tos://{bucket}/xxx.mp4",
        "output_url": "https://{bucket}.tos-cn-beijing.volces.com/xxx.mp4?xxx",
        "duration_seconds": 123.36
    }
}

Error code

HttpStatusCode

Error code

Error message

Description

400

Parameter.Missing

Missing required parameter.

Required parameter missing in request body

400

Parameter.Invalid

Invalid parameter.

Invalid parameter

400

Url.Invalid

Invalid URL.

Video URL inaccessible or does not exist

400

Video.Invalid

Invalid video file.

Unsupported video format or file corrupted

400

Video.DownloadFailed

Video download failed.

Download exception or access failure

400

Ffmpeg.error

Failed to process video.

Failed to process video data with FFmpeg

Last updated: 2026.07.28 15:15:39